unit dlgDemo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ComCtrls, cxCPU2;

type
  TdlgcxCPUDemo = class(TForm)
    pgcMain: TPageControl;
    tabAbout: TTabSheet;
    tabDetails: TTabSheet;
    btnOK: TButton;
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Image2: TImage;
    Label4: TLabel;
    Bevel1: TBevel;
    Label5: TLabel;
    De: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    lblVendor: TLabel;
    lblModel: TLabel;
    lblMMX: TLabel;
    lblSpeed: TLabel;
    lblFullName: TLabel;
    cxCPU1: TcxCPU;
    procedure FormCreate(Sender: TObject);
    procedure btnOKClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  dlgcxCPUDemo: TdlgcxCPUDemo;

implementation

{$R *.DFM}

procedure TdlgcxCPUDemo.FormCreate(Sender: TObject);
begin
  // Display the full name
  lblFullName.Caption := cxCPU1.FullName;
  // Update the detail fields
  lblVendor.Caption := cxCPU1.Vendor;
  lblModel.Caption := cxCPU1.CPU;
  if (cxCPU1.MMX) then lblMMX.Caption := 'Yes' else lblMMX.Caption := 'No';
  // Benchmarks the CPU
  cxCPU1.cxiBenchCPU;
  lblSpeed.Caption := IntToStr(cxCPU1.Speed) + 'MHz';
end;

procedure TdlgcxCPUDemo.btnOKClick(Sender: TObject);
begin
  Close;
end;

end.
